body {
  background-color: #000;
  display: flex;
  align-items: center;
  height: 100dvh;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
canvas {
  max-width: 98%;
  aspect-ratio: 1.64 / 1;
}
main {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  row-gap: 30px;
}
button {
  font-size: 30px;
  margin: 10px;
  padding: 20px;
  background: #121212;
  color: grey;
  border-width: 4px;
  border-color: #626262 #373737 #626262 #8f8f8f;
  border-style: solid;

  &:active {
    scale: 98%;
  }
}

#button-container {
  display: flex;
}

@media screen and (orientation: portrait) {
  #button-container {
    width: 100%;

    button {
      width: 45%;
      min-height: 120px;
    }
  }
}

@media (width >= 1200px) {
  #button-container {
    display: none;
  }
}

@media only screen and (orientation: landscape) {
  #button-container {
    position: absolute;
    width: 100%;
    height: 100%;
    justify-content: space-between;

    button {
      max-height: 70%;
      max-width: 10%;
    }
  }

  canvas {
    max-width: 70%;
    max-height: 80%;
  }
}
